Bitrix API

ProjectDependenceTable extends Mesh

FinalYes

DO NOT WRITE ANYTHING BELOW THIS

<<< ORMENTITYANNOTATION

Table of Contents

Constants

EVENT_ON_ADD  = "OnAdd"
EVENT_ON_AFTER_ADD  = "OnAfterAdd"
EVENT_ON_AFTER_DELETE  = "OnAfterDelete"
EVENT_ON_AFTER_UPDATE  = "OnAfterUpdate"
EVENT_ON_BEFORE_ADD  = "OnBeforeAdd"
EVENT_ON_BEFORE_DELETE  = "OnBeforeDelete"
EVENT_ON_BEFORE_UPDATE  = "OnBeforeUpdate"
EVENT_ON_DELETE  = "OnDelete"
EVENT_ON_UPDATE  = "OnUpdate"
LINK_TYPE_FINISH_FINISH  = 0x3
LINK_TYPE_FINISH_START  = 0x2
LINK_TYPE_START_FINISH  = 0x1
LINK_TYPE_START_START  = 0x0

Methods

add()  : AddResult
Adds row to entity table
addMulti()  : AddResult
Adds several rows to entity table.
checkFields()  : mixed
Checks the data fields before saving to DB. Result stores in the $result object
checkItemLinked()  : mixed
Check if the item is linked with some other items
checkLinkExists()  : mixed
cleanCache()  : void
Cleans the tablet cache after data modifications.
createCollection()  : EO_ProjectDependence_Collection
createLink()  : AddResult
Links one item with another. Low-level method.
createObject()  : EO_ProjectDependence
cryptoEnabled()  : bool
Returns true if crypto is enabled for a field.
delete()  : DeleteResult
Deletes row in entity table by primary key
deleteLink()  : mixed
Breaks link between nodes. Low-level method.
deleteSubtree()  : mixed
dropLinkL()  : mixed
enableCrypto()  : mixed
Sets a flag indicating crypto support for a field.
getById()  : EO_ProjectDependence_Result
Returns selection by entity's primary key
getByPrimary()  : EO_ProjectDependence_Result
Returns selection by entity's primary key and optional parameters for getList()
getClass()  : string
getCollectionClass()  : string|Collection
Returns class of Object collection for current entity.
getCollectionClassName()  : string
Returns class name (without namespace) of Object collection for current entity.
getCollectionParentClass()  : Collection|string
getConnectionName()  : string
Returns connection name for entity
getCount()  : int
Performs COUNT query on entity and returns the result.
getDIRECTColumnName()  : mixed
getEntity()  : EO_ProjectDependence_Entity
Returns entity object
getEntityClass()  : Entity|string
getIDColumnName()  : string
getLinkCount()  : mixed
getList()  : EO_ProjectDependence_Result
Executes the query and returns selection by parameters of the query. This function is an alias to the Query object functions
getListByLegacyTaskFilter()  : mixed
Returns a list of INGOING DIRECT links according to the old-style (sutable for CTask::GetList()) filter A heavy-artillery function
getMap()  : array<string|int, mixed>
Returns entity map definition.
getMPCITYColumnName()  : mixed
getObjectClass()  : string|EntityObject
Returns class of Object for current entity.
getObjectClassName()  : string
Returns class name (without namespace) of Object for current entity.
getObjectParentClass()  : EntityObject|string
getParentId()  : mixed
getPARENTIDColumnName()  : string
getPathToNode()  : mixed
getPathToNodeSql()  : mixed
getQueryClass()  : Query|string
getRow()  : array<string|int, mixed>|null
Returns one row (or null) by parameters for getList()
getRowById()  : array<string|int, mixed>|null
Returns one row (or null) by entity's primary key
getSubTree()  : mixed
getSubTreeSql()  : mixed
getTableName()  : string
Returns DB table name for entity
getTitle()  : string|null
getUfId()  : mixed
isCacheable()  : bool
You can disable cache for the tablet completely.
isUtm()  : mixed
isUts()  : mixed
link()  : void
moveLink()  : void
Moves subtree. Low-level method.
onAdd()  : mixed
onAfterAdd()  : mixed
onAfterDelete()  : mixed
onAfterUpdate()  : mixed
onBeforeAdd()  : mixed
onBeforeDelete()  : mixed
onBeforeUpdate()  : mixed
onDelete()  : mixed
onUpdate()  : mixed
postInitialize()  : null
query()  : EO_ProjectDependence_Query
Creates and returns the Query object for the entity
setCurrentDeletingObject()  : void
setDefaultScope()  : Query
unlink()  : void
unsetEntity()  : mixed
update()  : UpdateResult
Updates row in entity table by primary key
updateMulti()  : UpdateResult
wakeUpCollection()  : EO_ProjectDependence_Collection
wakeUpObject()  : EO_ProjectDependence

Constants

EVENT_ON_AFTER_ADD

public mixed EVENT_ON_AFTER_ADD = "OnAfterAdd"

EVENT_ON_AFTER_DELETE

public mixed EVENT_ON_AFTER_DELETE = "OnAfterDelete"

EVENT_ON_AFTER_UPDATE

public mixed EVENT_ON_AFTER_UPDATE = "OnAfterUpdate"

EVENT_ON_BEFORE_ADD

public mixed EVENT_ON_BEFORE_ADD = "OnBeforeAdd"

EVENT_ON_BEFORE_DELETE

public mixed EVENT_ON_BEFORE_DELETE = "OnBeforeDelete"

EVENT_ON_BEFORE_UPDATE

public mixed EVENT_ON_BEFORE_UPDATE = "OnBeforeUpdate"

EVENT_ON_DELETE

public mixed EVENT_ON_DELETE = "OnDelete"

EVENT_ON_UPDATE

public mixed EVENT_ON_UPDATE = "OnUpdate"

Methods

add()

Adds row to entity table

public static add(array<string|int, mixed> $data) : AddResult
Parameters
$data : array<string|int, mixed>

An array with fields like array( "fields" => array( "FIELD1" => "value1", "FIELD2" => "value2", ), "auth_context" => \Bitrix\Main\Authentication\Context object ) or just a plain array of fields.

This method uses the default strategy defined in the class.

Tags
throws
Exception
Return values
AddResult —

Contains ID of inserted row

addMulti()

Adds several rows to entity table.

public static addMulti(mixed $rows[, bool $ignoreEvents = false ]) : AddResult

This method uses the default strategy defined in the class.

Parameters
$rows : mixed
$ignoreEvents : bool = false
Tags
throws
ArgumentException
throws
SystemException
Return values
AddResult

checkFields()

Checks the data fields before saving to DB. Result stores in the $result object

public static checkFields(Result $result, mixed $primary, array<string|int, mixed> $data) : mixed
Parameters
$result : Result
$primary : mixed
$data : array<string|int, mixed>
Tags
throws
ArgumentException
throws
SystemException

checkItemLinked()

Check if the item is linked with some other items

public static checkItemLinked(mixed $id) : mixed
Parameters
$id : mixed

checkLinkExists()

public static checkLinkExists(mixed $id, mixed $parentId[, array<string|int, mixed> $parameters = array('BIDIRECTIONAL' => false) ]) : mixed
Parameters
$id : mixed
$parentId : mixed
$parameters : array<string|int, mixed> = array('BIDIRECTIONAL' => false)

cleanCache()

Cleans the tablet cache after data modifications.

public static cleanCache() : void

createCollection()

public static createCollection() : EO_ProjectDependence_Collection
Return values
EO_ProjectDependence_Collection

Links one item with another. Low-level method.

public static createLink(mixed $id, mixed $parentId[, mixed $behaviour = array() ]) : AddResult
Parameters
$id : mixed
$parentId : mixed
$behaviour : mixed = array()
Return values
AddResult

createObject()

public static createObject([mixed $setDefaultValues = = 'true' ]) : EO_ProjectDependence
Parameters
$setDefaultValues : mixed = = 'true'
Return values
EO_ProjectDependence

cryptoEnabled()

Returns true if crypto is enabled for a field.

public static cryptoEnabled(string $field[, string $table = null ]) : bool
Parameters
$field : string
$table : string = null
Return values
bool

delete()

Deletes row in entity table by primary key

public static delete(mixed $primary) : DeleteResult
Parameters
$primary : mixed
Tags
throws
Exception
Return values
DeleteResult

Breaks link between nodes. Low-level method.

public static deleteLink(mixed $id[, mixed $parentId = false ][, array<string|int, mixed> $behaviour = array('CHILDREN' => 'unlink') ]) : mixed
Parameters
$id : mixed
$parentId : mixed = false
$behaviour : array<string|int, mixed> = array('CHILDREN' => 'unlink')

deleteSubtree()

public static deleteSubtree(mixed $id) : mixed
Parameters
$id : mixed

dropLinkL()

public static dropLinkL(mixed $id[, mixed $parentId = false ][, mixed $behaviour = array('CHILDREN' => 'unlink') ]) : mixed
Parameters
$id : mixed
$parentId : mixed = false
$behaviour : mixed = array('CHILDREN' => 'unlink')

enableCrypto()

Sets a flag indicating crypto support for a field.

public static enableCrypto(string $field[, string $table = null ][, bool $mode = true ]) : mixed
Parameters
$field : string
$table : string = null
$mode : bool = true

getById()

Returns selection by entity's primary key

public static getById(mixed $id) : EO_ProjectDependence_Result
Parameters
$id : mixed

Primary key of the entity

Return values
EO_ProjectDependence_Result

getByPrimary()

Returns selection by entity's primary key and optional parameters for getList()

public static getByPrimary(mixed $primary[, array<string|int, mixed> $parameters = = '[]' ]) : EO_ProjectDependence_Result
Parameters
$primary : mixed

Primary key of the entity

$parameters : array<string|int, mixed> = = '[]'

Additional parameters for getList()

Return values
EO_ProjectDependence_Result

getCollectionClass()

Returns class of Object collection for current entity.

public static getCollectionClass() : string|Collection
Return values
string|Collection

getCollectionClassName()

Returns class name (without namespace) of Object collection for current entity.

public final static getCollectionClassName() : string
Return values
string

getConnectionName()

Returns connection name for entity

public static getConnectionName() : string
Return values
string

getCount()

Performs COUNT query on entity and returns the result.

public static getCount([array<string|int, mixed>|ConditionTree $filter = array() ][, array<string|int, mixed> $cache = array() ]) : int
Parameters
$filter : array<string|int, mixed>|ConditionTree = array()
$cache : array<string|int, mixed> = array()

An array of cache options "ttl" => integer indicating cache TTL

Tags
throws
ObjectPropertyException
throws
SystemException
Return values
int

getDIRECTColumnName()

public static getDIRECTColumnName() : mixed

getEntity()

Returns entity object

public static getEntity() : EO_ProjectDependence_Entity
Return values
EO_ProjectDependence_Entity

getIDColumnName()

public static getIDColumnName() : string
Return values
string

getLinkCount()

public static getLinkCount() : mixed

getList()

Executes the query and returns selection by parameters of the query. This function is an alias to the Query object functions

public static getList([array<string|int, mixed> $parameters = = '[]' ]) : EO_ProjectDependence_Result
Parameters
$parameters : array<string|int, mixed> = = '[]'

An array of query parameters, available keys are:
"select" => array of fields in the SELECT part of the query, aliases are possible in the form of "alias"=>"field";
"filter" => array of filters in the WHERE/HAVING part of the query in the form of "(condition)field"=>"value"; also could be an instance of Filter;
"group" => array of fields in the GROUP BY part of the query;
"order" => array of fields in the ORDER BY part of the query in the form of "field"=>"asc|desc";
"limit" => integer indicating maximum number of rows in the selection (like LIMIT n in MySql);
"offset" => integer indicating first row number in the selection (like LIMIT n, 100 in MySql);
"runtime" => array of entity fields created dynamically;
"cache => array of cache options:
"ttl" => integer indicating cache TTL;
"cache_joins" => boolean enabling to cache joins, false by default.

Return values
EO_ProjectDependence_Result

getListByLegacyTaskFilter()

Returns a list of INGOING DIRECT links according to the old-style (sutable for CTask::GetList()) filter A heavy-artillery function

public static getListByLegacyTaskFilter([array<string|int, mixed> $filter = [] ][, array<string|int, mixed> $parameters = [] ]) : mixed
Parameters
$filter : array<string|int, mixed> = []
$parameters : array<string|int, mixed> = []

getMap()

Returns entity map definition.

public static getMap() : array<string|int, mixed>
Return values
array<string|int, mixed>

getMPCITYColumnName()

public static getMPCITYColumnName() : mixed

getObjectClassName()

Returns class name (without namespace) of Object for current entity.

public final static getObjectClassName() : string
Return values
string

getParentId()

public static getParentId(mixed $id) : mixed
Parameters
$id : mixed

getPARENTIDColumnName()

public static getPARENTIDColumnName() : string
Return values
string

getPathToNode()

public static getPathToNode(mixed $id[, mixed $parameters = array() ]) : mixed
Parameters
$id : mixed
$parameters : mixed = array()

getPathToNodeSql()

public static getPathToNodeSql(mixed $id) : mixed
Parameters
$id : mixed

getRow()

Returns one row (or null) by parameters for getList()

public static getRow(array<string|int, mixed> $parameters) : array<string|int, mixed>|null
Parameters
$parameters : array<string|int, mixed>

Primary key of the entity

Tags
throws
ArgumentException
throws
ObjectPropertyException
throws
SystemException
Return values
array<string|int, mixed>|null

getRowById()

Returns one row (or null) by entity's primary key

public static getRowById(mixed $id[, array<string|int, mixed> $parameters = [] ]) : array<string|int, mixed>|null
Parameters
$id : mixed

Primary key of the entity

$parameters : array<string|int, mixed> = []

Additional parameters for getList()

Tags
throws
ArgumentException
throws
ObjectPropertyException
throws
SystemException
Return values
array<string|int, mixed>|null

getSubTree()

public static getSubTree(mixed $id[, mixed $parameters = array() ][, array<string|int, mixed> $behaviour = array('INCLUDE_SELF' => true) ]) : mixed
Parameters
$id : mixed
$parameters : mixed = array()
$behaviour : array<string|int, mixed> = array('INCLUDE_SELF' => true)

getSubTreeSql()

public static getSubTreeSql(mixed $id) : mixed
Parameters
$id : mixed

getTableName()

Returns DB table name for entity

public static getTableName() : string
Return values
string

getTitle()

public static getTitle() : string|null
Return values
string|null

isCacheable()

You can disable cache for the tablet completely.

public static isCacheable() : bool
Return values
bool
public static link(mixed $id, mixed $parentId) : void
Parameters
$id : mixed
$parentId : mixed

Moves subtree. Low-level method.

public static moveLink(mixed $id, mixed $parentId[, mixed $behaviour = ['CREATE_PARENT_NODE_ON_NOTFOUND' => true] ]) : void
Parameters
$id : mixed
$parentId : mixed
$behaviour : mixed = ['CREATE_PARENT_NODE_ON_NOTFOUND' => true]

postInitialize()

public static postInitialize(Entity $entity) : null
Parameters
$entity : Entity
Return values
null

query()

Creates and returns the Query object for the entity

public static query() : EO_ProjectDependence_Query
Return values
EO_ProjectDependence_Query

unsetEntity()

public static unsetEntity(mixed $class) : mixed
Parameters
$class : mixed

update()

Updates row in entity table by primary key

public static update(mixed $primary, array<string|int, mixed> $data) : UpdateResult
Parameters
$primary : mixed
$data : array<string|int, mixed>

An array with fields like array( "fields" => array( "FIELD1" => "value1", "FIELD2" => "value2", ), "auth_context" => \Bitrix\Main\Authentication\Context object ) or just a plain array of fields.

Tags
throws
Exception
Return values
UpdateResult

updateMulti()

public static updateMulti(array<string|int, mixed> $primaries, array<string|int, mixed> $data[, bool $ignoreEvents = false ]) : UpdateResult
Parameters
$primaries : array<string|int, mixed>
$data : array<string|int, mixed>
$ignoreEvents : bool = false
Tags
throws
ArgumentException
throws
SystemException
Return values
UpdateResult

wakeUpCollection()

public static wakeUpCollection(mixed $rows) : EO_ProjectDependence_Collection
Parameters
$rows : mixed
Return values
EO_ProjectDependence_Collection

wakeUpObject()

public static wakeUpObject(mixed $row) : EO_ProjectDependence
Parameters
$row : mixed
Return values
EO_ProjectDependence

        
On this page

Search results